import 'package:drift/drift.dart';
import 'package:niogu_app/core/database/tables/campaigns.dart';
import 'package:niogu_app/core/database/tables/outlets.dart';
import 'package:uuid/uuid.dart';

class OutletCampaigns extends Table {
  TextColumn get localId => text().clientDefault(() => const Uuid().v7().toString())();
  TextColumn get serverId => text().nullable()();
  TextColumn get campaignId => text().references(Campaigns, #localId)();
  TextColumn get outletId => text().references(Outlets, #localId).nullable()();
  TextColumn get syncStatus => text().withDefault(const Constant('dirty'))();
  DateTimeColumn get createdAt => dateTime().withDefault(currentDateAndTime)();
  DateTimeColumn get updatedAt => dateTime().withDefault(currentDateAndTime)();
  DateTimeColumn get deletedAt => dateTime().nullable()();

  @override
  // TODO: implement primaryKey
  Set<Column<Object>>? get primaryKey => {localId};
}